Bug 1575942 - Review Request: python-crcmod - Python module for generating objects that compute CRC
Summary: Review Request: python-crcmod - Python module for generating objects that com...
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 700199
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 11:04 UTC by Ivan Afonichev
Modified: 2020-09-11 15:50 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 700199
Environment:
Last Closed:
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1573338 None None None 2018-05-08 11:04:36 UTC

Description Ivan Afonichev 2018-05-08 11:04:36 UTC
Spec URL: https://raw.githubusercontent.com/vanaf/python-crcmod-fedora/master/python-crcmod.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/vrusinov/vrusinov/fedora-21-x86_64/python-crcmod-1.7-1.el7.centos/python-crcmod-1.7-1.fc21.src.rpm
Description: 
The software in this package is a Python module for generating objects that
compute the Cyclic Redundancy Check (CRC). There is no attempt in this package
to explain how the CRC works. There are a number of resources on the web that
give a good explanation of the algorithms. Just do a Google search for “crc
calculation” and browse till you find what you need. Another resource can be
found in chapter 20 of the book “Numerical Recipes in C” by Press et. al.

This package allows the use of any 8, 16, 24, 32, or 64 bit CRC. You can
generate a Python function for the selected polynomial or an instance of the
Crc class which provides the same interface as the md5 and sha modules from
the Python standard library. A Crc class instance can also generate C/C++
source code that can be used in another application.

Comment 1 Robert-André Mauchin 🐧 2018-05-12 18:52:07 UTC
 - Not needed:

Group: Development/Libraries

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

 - Specify either python2-devel or python3-devel

 - You must add either a Python 2 subpackage or a Python 3 subpackages, or both.

 - Use the Python macros:

python setup.py build → %py3_build

python setup.py install --skip-build --root=%{buildroot} --prefix=%{_prefix} → py3_install


 - I'd recommend to use pyp2rpm to ease the packaging:

pyp2rpm -b3 -p2 crcmod > python-crcmod.spec

    It will produce a standard Python SPEC file with documentation and tests.

Comment 2 Ivan Afonichev 2018-05-13 17:51:36 UTC
Migrated to pyp2rpm spec. Looks like tests are not supported by this package so cut out check section.

Spec URL: https://raw.githubusercontent.com/vanaf/python-crcmod-fedora/master/python-crcmod.spec
SRPM URL: http://baldr.sgu.ru/rpm/python-crcmod-1.7-1.fc28.src.rpm

Comment 3 Robert-André Mauchin 🐧 2018-05-13 18:40:18 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 40 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-crcmod/review-python-
     crcmod/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-crcmod , python3-crcmod
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-crcmod-1.7-1.fc29.x86_64.rpm
          python3-crcmod-1.7-1.fc29.x86_64.rpm
          python-crcmod-doc-1.7-1.fc29.x86_64.rpm
          python-crcmod-debuginfo-1.7-1.fc29.x86_64.rpm
          python-crcmod-debugsource-1.7-1.fc29.x86_64.rpm
          python-crcmod-1.7-1.fc29.src.rpm
python2-crcmod.x86_64: W: spelling-error %description -l en_US crc -> cc, arc, cry
python2-crcmod.x86_64: W: spelling-error %description -l en_US et -> ET, wt, rt
python2-crcmod.x86_64: W: spelling-error %description -l en_US al -> AL, la, Al
python2-crcmod.x86_64: W: spelling-error %description -l en_US sha -> aha, sh, ha
python2-crcmod.x86_64: W: no-documentation
python3-crcmod.x86_64: W: spelling-error %description -l en_US crc -> cc, arc, cry
python3-crcmod.x86_64: W: spelling-error %description -l en_US et -> ET, wt, rt
python3-crcmod.x86_64: W: spelling-error %description -l en_US al -> AL, la, Al
python3-crcmod.x86_64: W: spelling-error %description -l en_US sha -> aha, sh, ha
python3-crcmod.x86_64: W: no-documentation
python-crcmod-doc.x86_64: W: summary-not-capitalized C crcmod documentation
python-crcmod.src: W: spelling-error %description -l en_US crc -> cc, arc, cry
python-crcmod.src: W: spelling-error %description -l en_US et -> ET, wt, rt
python-crcmod.src: W: spelling-error %description -l en_US al -> AL, la, Al
python-crcmod.src: W: spelling-error %description -l en_US sha -> aha, sh, ha
6 packages and 0 specfiles checked; 0 errors, 15 warnings.

Comment 4 Ivan Afonichev 2018-05-22 10:37:45 UTC
New Package SCM Request
=======================
Package Name: python-crcmod
Short Description: Python CRC Generator
Owners: van
Branches: f26 f27 f28 el7

Comment 5 Ivan Afonichev 2020-09-04 16:40:10 UTC
Sorry was not aware of new way of SCM request.
Now it is too late, please reset review flag if possible:

[van@iafonichev-nb python-crcmod-fedora]$ fedpkg request-repo python-crcmod 1575942
Could not execute request_repo: The Bugzilla bug's review was approved over 60 days ago

Comment 6 Robert-André Mauchin 🐧 2020-09-04 21:35:25 UTC
Refreshed.

Comment 7 Gwyn Ciesla 2020-09-11 15:50:17 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-crcmod


Note You need to log in before you can comment on or make changes to this bug.